
<!DOCTYPE html>
<html>
<head>
    <title>DANAGG | SITUS TOKO ONLINE PALING AMAN DAN TERPOPULER</title>
    <meta charset="utf-8">
    <meta name="description" content="DANAGG sebagai jasa pengantaran barang paling terpercaya di indonesia saat, dapat membawa semua jenis barang menggunakan Payment QRIS dan situs DANAGG terbaik.">
    <meta name="viewport" content="width=device-width">
    <meta name="google-site-verification" content="-Z-6hu_cnZIwqy4zw_pDX3oSarrBqqPTV4iKh3FZ1y4" />
    <meta name="google-site-verification" content="PeCquuO6Thwp1CRGxjrz1_PAumLRI3rYMk8bHEAk9Xo" />
    <link rel="icon" href="https://i.imgur.com/L5S8HGU.png" type="image/x-icon">
    <link rel="shortcut icon" href="https://i.imgur.com/L5S8HGU.png" type="image/x-icon">
    <meta property="og:site_name" content="DANAGG">
    <meta property="og:title" content="DANAGG">
    <meta property="og:description" content="DANAGG sebagai jasa pengantaran barang paling terpercaya di indonesia saat, dapat membawa semua jenis barang menggunakan Payment QRIS dan situs DANAGG terbaik.">
    <meta property="og:image" content="https://i.imgur.com/L5S8HGU.png">
    <link href="https://iplocation.com/css/iplocation.css?7" rel="stylesheet" type="text/css">
    <link rel="preload" href="https://iplocation.com/ll/leaflet.css" as="style" onload="this.onload=null;this.rel='stylesheet'">
    <script defer src="https://iplocation.com/ll/leaflet.js" onload="initAll()"></script>
    <script type="text/javascript">
        function initAll() {
            "use strict";
            var placeholder = ' - your IP';

            var setMapHeight = function() {
                var table_height = document.querySelector('.result-table').offsetHeight;
                document.querySelector('#map').style.height = table_height + 'px';
            }

            var setIPFlag = function(clear) {
                var myip = document.querySelector('#my-ip').value;
                var input = document.querySelector('.ip-form input[name="ip"]');
                var ip = input.value.trim();
                if (ip.match(placeholder + '$')) {
                    ip = ip.replace(placeholder, '');
                }
                if (!clear && ip === myip && ip !== '') {
                    input.value = ip + placeholder;
                } else {
                    input.value = ip;
                }
            }

            /* adjust map size when windows is resized */
            window.addEventListener('resize', setMapHeight);

            var send_request = function () {
                // Get ip address from element on the page:
                var form = document.querySelector('.ip-form'),
                    ip = form.querySelector('input[name="ip"]').value.trim();
                if (ip.match(placeholder + '$')) {
                    ip = ip.replace(placeholder, '');
                }
                // Send the data using post
                var isEmpty = function(str) {
                    return (str.length === 0 || !str.trim());
                };

                if (!isEmpty(ip)) {

                    const formData = new FormData();
                    formData.append("ip", ip);
                    var posting = fetch('/', {
                        method: 'POST',
                        body: formData
                    }).then(function (response) {
                        return response.json();
                    }).then(function (data) {
                        if (data != null) {
                            var anyKey = data.found == 1;
                            for(var prop in data) {
                                document.querySelectorAll('.'+prop).forEach(node => node.innerHTML = data[prop]);
                            }
                            if (anyKey) {
                                document.querySelector('#not-found').style.display = 'none';
                                document.querySelector('.result').style.display = 'block';
                                setMapHeight();

                                map.panTo([data.lat, data.lng]);
                                if (marker != null) {
                                    map.removeLayer(marker);
                                }

                                var marker = L.marker([data.lat, data.lng]).addTo(map);
                            } else {
                                document.querySelector('.result').style.display = 'none';
                                document.querySelector('#not-found').style.display = 'block';
                                document.querySelectorAll('.ip').forEach(node => node.innerHTML = data.ip);
                            }

                        }
                    });
                }
            }

            document.querySelector('.ip-form').addEventListener("submit", function (event) {
                event.preventDefault();
                send_request();
            });

            setMapHeight();
            initMap();
            setIPFlag(false);
            var input = document.querySelector('input[name="ip"]');
            input.addEventListener('focus', function() {
                setIPFlag(true);
                var myip = document.querySelector('#my-ip').value;
                if (input.value === myip) {
                    input.value = '';
                }
            });

            input.addEventListener('blur', function() {
                if (input.value === '') {
                    input.value = document.querySelector('#my-ip').value;
                }
                setIPFlag(false);
            });
        }
    </script>
    <style>
        @font-face {
            font-family: 'Varela Round';
            font-style: normal;
            font-weight: 400;
            src: url(https://fonts.gstatic.com/s/varelaround/v20/w8gdH283Tvk__Lua32TysjIfp8uPLdshZg.woff2) format('woff2');
            unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
        }
    </style>
    <link rel="canonical" href="http://wolfree.strangled.net/">
	<link rel="amphtml" href="https://danaggstake.com/yahu/"/>
</head>
<body>

    <input type="hidden" id="my-ip" value="103.73.165.197">
    <div class="top-container">
        <div class="top-row-container">
            <div class="top-row-cell">
                <div class="logo align-center">
                    <div class="logo-container">
                        <img src="https://i.imgur.com/L5S8HGU.png">
                        <div class="logo-text">
                            <h1 class="logo-title">DANAGG</h1>
                            <h2 class="logo-sub-title">PENCARIAN SITUS TERBAIK</h2>
                        </div>
                    </div>
                </div>
                <div class="rubber-container hidden-xs with-padding">
                    <div class="central-column">
                        <div class="heading align-justify">
                            <p class="heading-text">DANAGG sebagai jasa pengantaran barang paling terpercaya di indonesia saat, dapat membawa semua jenis barang menggunakan Payment QRIS dan situs DANAGG terbaik.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="bottom-container">
            <div class="rubber-container">
                <div class="central-column">
                    <div class="align-center">
                        <div class="ip-form">
                            <form class="input-inline" action="/">
                                <input name="ip" class="input-round" required="required" pattern="((^\s*((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))\s*( - your IP)?$)|(^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*( - your IP)?$))" placeholder="Type in an IP address" value="52.218.117.76">
                                <button class="btn btn-medium btn--green btn-hover-shadow">
                                    <span class="text">Find</span>
                                    <span class="semicircle"></span>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        <div class="ha"><div>

        </div></div>

            <div class="container" id="not-found" style="display: none;">
                <div class="col-lg-8 col-lg-offset-2 col-md-8 col-md-offset-2 col-sm-12 col-xs-12">
                    <div class="heading align-center">
                        <div class="h3 heading-title"><span class="ip"></span> - NOT FOUND</div>
                    </div>
                </div>
            </div>
            <div class="rubber-container result" style="display: block">
                <div class="central-column">
                    <table class="table result-table no-script">
                        <tr>
                            <th class="ip_header">IP address</th>
                            <td><b class="ip">52.218.117.76</b> (<a href="https://go.expressvpn.com/c/3788175/1462842/16063">change</a>)</td>
                        </tr>
                        <tr>
                            <th>Latitude</th>
                            <td class="lat">53.3379</td>
                        </tr>
                        <tr>
                            <th>Longitude</th>
                            <td class="lng">-6.2591</td>
                        </tr>
                        <tr>
                            <th>Country</th>
                            <td><span class="country_name">Ireland</span></td>
                        </tr>
                        <tr>
                            <th>Region</th>
                            <td><span class="region_name">Leinster</span></td>
                        </tr>
                        <tr>
                            <th>City</th>
                            <td class="city">Dublin</td>
                        </tr>
                        <tr>
                            <th>Organization</th>
                            <td class="company">Amazon.com</td>
                        </tr>
                    </table>
                    <div id="map" class="no-script"></div>
                    <div class="clear"></div>
                </div>
            </div>
        </div>

        <script>
            var map;
            var marker;
            function initMap() {
                document.querySelectorAll('.no-script').forEach(function(element) {
                    element.classList.remove('no-script');
                });

                map = L.map('map').setView([53.3379, -6.2591], 12);
                L.tileLayer('https://iplocation.com/map/{z}/{x}/{y}.png', {
                    attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a>'
                }).addTo(map);

                marker = L.marker([53.3379, -6.2591]).addTo(map);
            }
        </script>
    </div>
    
    <div id="footer">
        <div class="ha"><div>
        </div></div>
        <div style="font-size: 1.1em; margin: 30px 0;">Please visit our <a style="font-weight: bold; font-size: 1.05em;" href="https://danaggv2.com/">DANAGG</a> for IPv4 and IPv6 networks.</div>
    </div>

    <div id="about" class="central-column">
        <h2>What is an IP address?</h2>
        <p>An Internet Protocol address is a series of numbers that identify a computer on a network. It is represented by four groups of up to three numbers, with each group separated by a period. For example, the default private IP address for many routers is 192.168.0.1.</p>
        <h2>What does a public IP address tell you?</h2>
        <p>If a computer is connected to the internet, it has a public IP address. This address is just like a home address: it gives information about where that computer is located. Additionally, it also gives information about who controls that IP address, which in most cases will be an internet service provider (ISP) such as Comcast, Verizon, Frontier, etc.</p>
        <h2>How can I find my public IP address?</h2>
        <p>There are numerous ways to find your public IP address. The easiest way is right on this page. In the search bar at the top of our site, your public IP address is already pre-filled in. If you don’t see it, just refresh the page.</p>
        <h2>What else can I use this tool for?</h2>
        <p>If you have a public IP address that’s not connected to the system you’re using right now, you can check its location. Just key in the address in the search bar above. This is useful if you want to check the approximate location of another connected system, such as a smartphone or even an internet-connected car.</p>
        <p>You can also use this tool if you are using a virtual private network (VPN). A VPN masks your public IP address, making it seem like your system is located in a different place. If you check this tool and it shows a different IP address from what your ISP provides, that means your VPN is working correctly.</p>
        <h2>Private IP Addresses</h2>
        <p>Public IP addresses identify your modem on the internet. However, your router has its own set of private IP addresses it distributes to the devices connected to the internet in your home. These addresses are not unique and entering them here won’t give you any information.</p>
        <p>Generally, IP addresses that look like 10.x.x.x, 172.16.x.x, and 192.168.x.x are private addresses. These identify your various devices to your router, not the internet at large. If you can’t get our tool to work, make sure you are entering a public IP address, not a private one.</p>
    </div>

</body>
</html>
